			<div id="comments_wrap">
<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'lukoo' ); ?></p>
			</div><!-- #comments_wrap -->
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php
	// You can start editing here -- including this comment!
?>

<div id="tabs_c_area"><!-- Begin #tabs_c_area -->
<ul class="tabs_js">
<li id="tabs_comp" class="active">Comments</li>
<li id="tabs_pcom">Trackbacks</li>
</ul>
</div><!-- End #tabs_c_area -->
<div class="clearfix"></div>
<div id="c_areainside"><!-- Begin #c_areainside -->
<div id="comment_area"><!-- Begin #comment_area -->

<?php if ( have_comments() ) : ?>

	<ul class="commentlist">
	<?php wp_list_comments('type=comment&callback=lukoo_comment'); ?>
	</ul>
	<div class="navigation-1 clearfix">
		<?php paginate_comments_links('prev_text=‹&next_text=›'); ?> 
	</div>
<?php else : // this is displayed if there are no comments so far ?>

<?php if ( comments_open() ) : // If comments are open but there are no comments ?>
<ul class="commentlist">
<li class="comment">No Comments yet.</li>
</ul>
<?php else : // If comments are closed ?>
<ul class="commentlist">
<li class="comment">Comments are closed.</li>
</ul>
<?php endif; ?>
<?php endif; ?>
</div><!-- End #comment_area -->

<div id="trackback_area"><!-- Begin Trackback -->

<?php if (pings_open()) ://id trackback is open ?>

<div id="trackback_url_wrapper">
<label for="trackback_url">TrackBack URL</label>
<input type="text" name="trackback_url" id="trackback_url" size="60" value="<?php trackback_url() ?>" readonly="readonly" onfocus="this.select()" />
</div>

<ul class="commentlist">
<?php if ( empty($comments_by_type['pings']) ) : ?>
<li class="comment">No trackbacks yet.</li>
<?php else : ?>

<ul class="pings">
<?php wp_list_comments('type=pings&callback=lukoo_pings'); ?>
</ul>
<?php endif; ?>
</ul>

<?php else : // trackbacks are closed ?>
<ul class="commentlist">
<li class="comment">Trackbacks are closed.</li>
</ul>
<?php endif; ?>

</div><!-- End Trackback -->

</div><!-- End #c_areainside -->

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<?php paginate_comments_links('prev_text=‹&next_text=›'); ?> 
<?php endif; // check for comment navigation ?>

<?php if ( comments_open() ) : ?>
<div id="respond">
	<h3><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h3>
	<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
	<div class="loggedinreq">
		You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.
	</div>
	<?php else : ?>
	<div id="respond_form">
        <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
			<div class="respond-avatar">
			<?php if ( is_user_logged_in() ) { ?>
				<div class="respond-avatar-img">
				<?php global $user_email;
                    echo get_avatar($user_email, '60');
                ?>
				</div>
			<?php } else { ?>
                <?php if($comment_author!=""): ?>
                    <div class="respond-avatar-img"><?php echo get_avatar($comment_author_email, $size='60'); ?></div>
                <?php else: ?>
                    <div class="respond-avatar-img"><a href="http://gravatar.com/" rel="external"><img src="<?php echo bloginfo('template_url').'/images/gravatar/gravatar.png'; ?>" alt="Gravatar" width="60px" height="60px" /></a></div>
                <?php endif; ?>
            <?php } ?>
                <div class="cancel-comment-reply">
                    <small><?php cancel_comment_reply_link(); ?></small>
                </div>
			</div><!-- #respond-avatar -->
            <div class="respond-comment">
                <textarea name="comment" id="comment" tabindex="1"></textarea>
            </div>
            <?php if ( is_user_logged_in() ) : ?>
            <div class="respond-info">
                <?php _e('Logged in as','lukoo') ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Log out &raquo;','lukoo') ?></a>
            <?php else : ?>
            <div class="respond-info">
                <?php if($comment_author != "") { ?><?php printf(__('%s, Welcome back!','lukoo'), $comment_author) ?><?php } else { ?><?php } ?>
                <span style="<?php if($comment_author != "") { ?>display:inline<?php } else { ?>display:none<?php } ?>"> <a id="comment-info-show" href="javascript:void(0)" onclick="document.getElementById('comment-info-sel').style.display='block'; document.getElementById('comment-info-show').style.display='none'; document.getElementById('comment-info-hide').style.display='inline'"><?php _e('Edit','lukoo') ?></a><a id="comment-info-hide" style="display:none" href="javascript:void(0)" onclick="document.getElementById('comment-info-sel').style.display='none'; document.getElementById('comment-info-hide').style.display='none'; document.getElementById('comment-info-show').style.display='inline'"><?php _e('Hide','lukoo') ?></a></span>
                <div <?php if($comment_author != "") : ?>style="display:none"<?php endif; ?> id="comment-info-sel">
                    <div class="respond-info-n">
                        <input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
                    </div>
                    <label for="author"><small><?php _e('Name') ?> (*)</small></label>
                    <div class="respond-info-e">
                        <input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" tabindex="3" <?php if ($req) echo "aria-required='true'"; ?> />
                    </div>
                    <label for="email"><small><?php _e('Mail') ?> (*)</small></label>
                    <div class="respond-info-w">
                        <input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" tabindex="4" />
                    </div>
                    <label for="url"><small><?php _e('Website') ?></small></label>
                </div><!-- #comment-info-sel -->
                <?php endif; ?>
                <div class="respond-info-s">
                    <input name="submit" type="submit" id="submit" tabindex="5" value="Submit" />
                    <?php comment_id_fields(); ?>
                    <?php do_action('comment_form', $post->ID); ?>
                </div><!-- .respond-info-s -->
            </div><!-- .respond-info -->
            <div class="clearfix"></div>
        </form>
	</div><!-- #respond_form -->
	<?php endif; // If registration required and not logged in ?>
</div><!-- #respond -->
<?php endif; ?>

</div><!-- #comments_wrap -->
